libmodule-build-perl (0.422400-1) unstable; urgency=medium

  * Add debian/gbp.conf to tell gbp import-orig to merge the upstream
    branch instead of replacing it, which is the new default. This is
    needed as we use git-debcherry in this package.

  * Import upstream version 0.422400.
  * Update years of packaging copyright.
  * Update patches with git-debcherry.
    - Remove 0003-Make-Module-Build-set-PERL_UNSAFE_INC.patch (fixed upstream)
    - Refresh patch man-ext (offset)
  * Declare compliance with Debian Policy 4.0.0.

 -- gregor herrmann <gregoa@debian.org>  Mon, 19 Jun 2017 19:25:18 +0200

libmodule-build-perl (0.422000-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Remove Antonio Radici from Uploaders. Thanks for your work!
  * Remove Jay Bonci from Uploaders. Thanks for your work!
  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Remove Ryan Niebur from Uploaders. Thanks for your work!

  [ Florian Schlichting ]
  * Import upstream version 0.422000
  * Refresh patches (run-debcherry)
  * Update copyright years

 -- Florian Schlichting <fsfs@debian.org>  Tue, 11 Oct 2016 21:43:50 +0200

libmodule-build-perl (0.421800-2) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Niko Tyni ]
  * Make Module::Build set PERL_UNSAFE_INC.
    Cf. CVE-2016-1238.

  [ gregor herrmann ]
  * debian/upstream/metadata: add Bug-Database.

 -- gregor herrmann <gregoa@debian.org>  Mon, 25 Jul 2016 21:00:41 +0200

libmodule-build-perl (0.421800-1) unstable; urgency=medium

  * Import upstream version 0.421800.
  * Drop all old alternative (build) dependencies where perl-core in
    oldstable has new enough versions.
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <gregoa@debian.org>  Fri, 29 Apr 2016 16:55:28 +0200

libmodule-build-perl (0.421600-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Import upstream version 0.421600.
  * Refresh patches with git-debcherry (offset).
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.7.
  * Change order of alternative (build) dependencies.
  * Add (build) dependency on TAP::Harness 3.29.
  * Bump debhelper compatibility level to 9.

 -- gregor herrmann <gregoa@debian.org>  Tue, 02 Feb 2016 20:08:28 +0100

libmodule-build-perl (0.421400-3) unstable; urgency=medium

  * Refine the rscan_dir() result sorting to ensure that regular files
    get listed before directories. (Closes: #798882)

 -- Niko Tyni <ntyni@debian.org>  Mon, 14 Sep 2015 21:32:03 +0300

libmodule-build-perl (0.421400-2) unstable; urgency=medium

  * Add patch from Niko Tyni to sort file linking order so that reproducible
    binaries are being produced (closes: #797709)
  * Convert patch management to git-debcherry

 -- Florian Schlichting <fsfs@debian.org>  Thu, 10 Sep 2015 13:22:54 +0200

libmodule-build-perl (0.421400-1) unstable; urgency=medium

  * Import upstream version 0.421400.
  * Drop output-data-in-stable-order.patch, merged upstream.

 -- gregor herrmann <gregoa@debian.org>  Tue, 07 Jul 2015 18:41:08 +0200

libmodule-build-perl (0.421100-2) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Add a patch to output data in stable order to make builds reproducible.
   (Closes: #774869)

  [ Dominique Dumont ]
  * control: added dod to uploaders
  * control: removed obsolete packages from dependencies
  * control: refreshed with cme

 -- Dominique Dumont <dod@debian.org>  Wed, 20 May 2015 14:40:05 +0200

libmodule-build-perl (0.421100-1) unstable; urgency=medium

  * Import upstream version 0.421100.
    Splits out inc::latest to a separate CPAN distribution.
  * Update years of packaging copyright.
    Remove stanza about dropped files.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 May 2015 15:34:59 +0200

libmodule-build-perl (0.421000-2) unstable; urgency=medium

  [ gregor herrmann ]
  * Drop debian/tests/control, add Testsuite field to debian/control instead.

  [ Niko Tyni ]
  * Slightly patch the test suite for autopkgtest support.

 -- Niko Tyni <ntyni@debian.org>  Fri, 19 Sep 2014 12:02:11 +0300

libmodule-build-perl (0.421000-1) unstable; urgency=medium

  * Add debian/upstream/metadata
  * Imported upstream version 0.421000
  * Add autopkgtest control file.
  * Update (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Mon, 08 Sep 2014 19:22:50 +0200

libmodule-build-perl (0.420800-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * New upstream release.
  * Refresh patch man-ext (offset).

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Aug 2014 20:30:13 -0700

libmodule-build-perl (0.420600-1) unstable; urgency=medium

  * New upstream release.
  * Strip trailing slash from metacpan URLs.
  * Add alternative for Module::Metadata (build) dependency.

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 Jul 2014 23:08:27 +0200

libmodule-build-perl (0.420500-1) unstable; urgency=medium

  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.
  * New upstream release.
  * Update (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Sun, 23 Feb 2014 18:05:28 +0100

libmodule-build-perl (0.420400-1) unstable; urgency=medium

  * New upstream release.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Tue, 14 Jan 2014 18:45:36 +0100

libmodule-build-perl (0.420300-1) unstable; urgency=medium

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sun, 15 Dec 2013 18:24:53 +0100

libmodule-build-perl (0.420200-1) unstable; urgency=low

  * New upstream release.
  * Refresh patch man-ext (offset).

 -- gregor herrmann <gregoa@debian.org>  Sun, 24 Nov 2013 18:16:07 +0100

libmodule-build-perl (0.400800-1) unstable; urgency=low

  * New upstream release.
  * Refresh patch man-ext (offset).
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Wed, 06 Nov 2013 19:49:34 +0100

libmodule-build-perl (0.400700-1) unstable; urgency=low

  * Import Upstream version 0.400700.
  * Refresh man-ext patch: code moved.

 -- Florian Schlichting <fsfs@debian.org>  Thu, 08 Aug 2013 17:53:01 +0200

libmodule-build-perl (0.400500-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Florian Schlichting ]
  * Imported Upstream version 0.400500
  * Bumped Standards-Version to 3.9.4 (no other changes)
  * Bumped dh compatibility to level 8 (no other changes)
  * Removed version from libextutils-cbuilder-perl, libextutils-parsexs-perl
    dependencies (no older version in the archive)
  * Refreshed man-ext patch (offset)
  * Added myself to Uploaders and d/copyright

 -- Florian Schlichting <fsfs@debian.org>  Mon, 13 May 2013 23:02:00 +0200

libmodule-build-perl (0.400100-2) unstable; urgency=low

  * Divert config_data manpage in preinst/postrm. Thanks to Niko Tyni for
    the bug report. (Closes: #667053)

 -- gregor herrmann <gregoa@debian.org>  Wed, 27 Jun 2012 19:23:14 +0200

libmodule-build-perl (0.400100-1) unstable; urgency=low

  * New upstream release.
  * Drop fix-pod-spelling.patch, merged upstream.
  * Refresh patch man-ext (offset).
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Wed, 27 Jun 2012 18:41:01 +0200

libmodule-build-perl (0.400000-1) unstable; urgency=low

  * New upstream release
  * Reviewed patches
  * Raised standards version to 3.9.3 and updated copyright
  * Removed versioning on libcpan-meta-yaml-perl dependency

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sat, 25 Feb 2012 17:50:07 +0000

libmodule-build-perl (0.380000-2) unstable; urgency=low

  [ gregor herrmann ]
  * Switch order of alternative (build) dependencies after the perl 5.12
    upload.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ gregor herrmann ]
  * Swap order of alternative (build) dependencies after the perl 5.14
    transition.
    Closes: #652774
  * Update packaging copyright.
  * Bump Standards-Version to 3.9.2 (no changes).
  * Add perl as an alternative to libcpan-meta-perl.

 -- gregor herrmann <gregoa@debian.org>  Tue, 20 Dec 2011 17:05:16 +0100

libmodule-build-perl (0.380000-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Email change: Ryan Niebur -> ryan@debian.org
  * Refresh copyright information
  * Reverse alternate dependency order for core modules so that
    it will actually build with sbuild's internal resolver

  [ gregor herrmann ]
  * Refresh patch man-ext (offset).

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 Mar 2011 22:17:41 +0100

libmodule-build-perl (0.362400-1) unstable; urgency=low

  * Added myself to Uploaders
  * New upstream release
  * Upped debhelper versioned dependency to 8
  * Reviewed dependencies
  * Upped standards version to 3.9.1
  * Email change: Jay Bonci -> jaybonci@debian.org
  * Email change: gregor herrmann -> gregoa@debian.org
  * Refreshed copyright
  * Refreshed patches

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 21 Feb 2011 00:27:11 +0000

libmodule-build-perl (0.360700-1) unstable; urgency=low

  * New upstream release.
  * Convert to source format 3.0 (quilt). Remove quilt framework.
  * Refresh patch man-ext.
  * Set Standards-Version to 3.8.4 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Thu, 01 Apr 2010 22:32:52 +0200

libmodule-build-perl (0.360300-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Rewrite NEWS entry so as not to use asterisks
  * Update copyright to DEP5 format
  * Update Ryan52's email address
  * Add a patch to fix POD typos

  [ gregor herrmann ]
  * Update years of upstream coypright.
  * Lower required debhelper version, the override in debian/rules is long
    gone.

 -- Jonathan Yu <jawnsy@cpan.org>  Tue, 19 Jan 2010 22:01:30 -0500

libmodule-build-perl (0.360100-1) unstable; urgency=low

  * New upstream release
  * Add NEWS file documenting major changes
  * Update dependencies and recommends
  * Refresh man-ext patch to unified format
  * Update copyright information
  * Removed Archive::Tar from deps, it's no longer needed based
    on tests and META.yml
  * Archive::Zip is a recommended dependency now

 -- Jonathan Yu <jawnsy@cpan.org>  Wed, 23 Dec 2009 08:27:47 -0500

libmodule-build-perl (0.350000-2) unstable; urgency=low

  [ Ryan Niebur ]
  * Update ryan52's email address

  [ gregor herrmann ]
  * Install contrib scripts as examples, thanks to Jari Aalto for the bug
    report (closes: #550286).
  * Refresh patch.
  * Slightly tweak short description.

 -- gregor herrmann <gregoa@debian.org>  Thu, 08 Oct 2009 22:57:05 +0200

libmodule-build-perl (0.350000-1) unstable; urgency=low

  [ Ryan Niebur ]
  * Update jawnsy's email address

  [ Damyan Ivanov ]
  * New upstream release
    + MakeMaker emulation no longer results in installation in /usr/usr
      Closes: #465486

 -- Damyan Ivanov <dmn@debian.org>  Wed, 02 Sep 2009 16:20:30 +0300

libmodule-build-perl (0.340201-1) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Salvatore Bonaccorso ]
  * debian/control: Changed: Replace versioned (build-)dependency on
    perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
    permitted by Debian Policy 3.8.3).

  [ Damyan Ivanov ]
  * New upstream release
    Closes: #542488 -- new upstream release, version numbering
  * watch: stop mangling development releases' versions (_->.)
    + force six digits after the dot
  * drop remove-makefile-on-distclean-too patch applied upstream
  * drop man-cookbook patch applied upstream
  * refresh man-ext patch to apply cleanly
  * rules: trim for tiny DH7 rules --with quilt
    + no need to manually removed .packlist files anymore
    + remove empty directories verbosely
  * drop debian/clean; Makefile is removed by new M::B
  * install config_data back in /usr/bin diverting the file from perl core
  * Standards-Version: 3.8.3 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 21 Aug 2009 15:23:10 +0300

libmodule-build-perl (0.3300-1) unstable; urgency=low

  [ Antonio Radici ]
  * New upstream release
  * debian/control:
    + Adding me to the Uploaders
    + debhelper >= 7
  * debian/compat bumped to 7 by dh-make-perl --refresh --dh 7
  * debian/patches/
    + streamlined version of the patch headers
    + man-ext refreshed to match the new source code
    + man-back-4.patch renamed to man-cookbook and it also includes another pod
      fix
  * debian/copyright:
    + updated to the new format
    + clarified the debian/ copyright

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Ryan Niebur ]
  * New upstream release
  * Add myself to Uploaders
  * Debian Policy 3.8.1
  * move config_data from /usr/bin/ to /usr/share/libmodule-build-perl/
  * remove .packlist files

  [ gregor herrmann ]
  * debian/copyright: update years of upstream copyright by combining several
    informations from the source.
  * debian/control: change my email address.

 -- Ryan Niebur <ryanryan52@gmail.com>  Tue, 05 May 2009 23:37:58 -0700

libmodule-build-perl (0.3000-1) unstable; urgency=low

  [ gregor herrmann ]
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.

  [ Damyan Ivanov ]
  * debian/watch: more upstream version mangling added to cope with x.yy-style
    version numbers
  * New upstream release (Closes: #501282)
    + includes support for building on GNU/Hurd (Closes: #480398) and
      GNU/kFreeBSD (Closes: #480399)
  * add libtest-harness-perl (>= 3.02) to B-D-I, enabling use_tap_harness test
    during build
  * copyright: drop t/bundled/Test/* entries as no longer shipped upstream
  * remove t/bundled in clean target; add libtie-cphash-perl to B-D-I instead
  * refresh man-ext.patch
  * add man-back-4.patch fixing a POD error ('=back' does not accept any
    parameters)
  * now conforms to Policy 3.8.0

 -- Damyan Ivanov <dmn@debian.org>  Tue, 07 Oct 2008 23:06:59 +0300

libmodule-build-perl (0.2808.01-2) unstable; urgency=low

  [ Martín Ferrari ]
  * Add by-author URL to watch file to track development releases.

  [ gregor herrmann ]
  * Unset HOME for test suite in debian/rules (closes: #467596).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Tue, 26 Feb 2008 17:05:55 +0100

libmodule-build-perl (0.2808.01-1) unstable; urgency=low

  [ gregor herrmann ]
  * New upstream release.
  * We are packaging the Developer Release of Module::Build 0.2808_01 (as
    0.2808.01-1) because perl-modules 5.10 has a "Conflicts:
    libmodule-build-perl (<< 0.2808.1-1)"; with this release (note that dpkg
    does _not_ consider 0.2808.01-1 to be earlier than  0.2808.1-1)
    libmodule-build-perl can be coinstalled with newer perl-mdoules
    packages; thanks to Niko Tyni for the analysis (closes: #467003).
  * Refresh patch man-ext.
  * Remove (already deactivated) debian/source.lintian-overrides.
  * Add /me to Uploaders.

  [ Damyan Ivanov ]
  * debian/copyright:
    + Add license information for scripts/config_data
    + Remove changelog-style signature
  * debian/rules:
    + remove unuser dh_installdirs, dh_installman and dh_link
    + use PERL?=/usr/bin/perl and use $(PERL) ./Build <whatever>
    + use TMP for shorter paths
    + remove stamps before realclean
  * Add myself to Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Sat, 23 Feb 2008 10:08:00 +0200

libmodule-build-perl (0.2808-1) unstable; urgency=low

  [ gregor herrmann ]
  * Take over the package for Debian Perl Group with permission.
  * Use dist-based URL in debian/watch.
  * Fix description spelling, thanks to Peter Eisentraut (closes: #357280).
  * debian/rules: delete /usr/lib/perl5 only if it exists.

  [ Damyan Ivanov ]
  * add source.lintian-overrides to avoid lintian error that insists that we
    must build-depend on ourselves :)
  * debian/watch: add v? to the filter, convert underscores in version to dots

  [ Niko Tyni ]
  * Ack NMUs.
  * Remove the useless version from the libarchive-tar-perl dependency.
    (Closes: #466898)
  * Remove the outdated versions from the libyaml-perl and
    libextutils-parsexs-perl dependencies as well.
  * Add myself to Uploaders.
  * Reformat and update debian/copyright.
  * Upgrade to Standards-Version 3.7.3. No changes needed.
  * debian/rules cleanup:
    + get the package name with dh_listpackages
    + don't ignore the return value of 'Build realclean'
    + remove an unused dh_strip call
    + add stamp files and inter-target dependencies
  * Comment out the lintian override, as it doesn't seem to actually get
    triggered currently.
  * Don't install the README, it's just a copy of the POD documentation.
  * Run the test suite in the 'build' target, not with (fake)root.
  * Recommend and build-depend on libextutils-cbuilder-perl and
    libversion-perl.
  * Suggest and build-depend on libpar-dist-perl (>= 0.17) for providing and
    testing PAR functionality.
  * Build-depend on libextutils-parsexs-perl, libarchive-tar-perl and
    libarchive-zip-perl for better test coverage.
  * Manage debian/patches with quilt.
    + man-ext: fix manpage extensions
  * Replace Build.PL modifications by small tweaks to debian/rules.

 -- Niko Tyni <ntyni@debian.org>  Thu, 21 Feb 2008 22:01:57 +0200

libmodule-build-perl (0.2808-0.2) unstable; urgency=low

  * Yet another NMU, additional fixes to -0.1

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.

  [ Damyan Ivanov ]
  * Fix incomplete applied patch for #441987 in -0.1
    Closes: #441987 again

 -- Damyan Ivanov <dmn@debian.org>  Sun, 21 Oct 2007 19:45:29 +0300

libmodule-build-perl (0.2808-0.1) unstable; urgency=low

  * Non-maintainer upload for the Debian Perl Group

  * New upstream release (Closes: #365241)
  * Moved debhelper from Build-Depends-Indep to Build-Depends and bumped
    compatibility level to 5
  * Apply patch by Steffen Moeller <steffen_moeller@gmx.de> so that modules
    which use Module::Build install man pages using correct section.
    Closes: #441987
  * Build.PL: set create_packlist to 0 to avoid installing .packlist
  * Standards-Version: 3.7.2.2 (no changes needed)
  * Fix upstream URL in debian/copyright

 -- Damyan Ivanov <dmn@debian.org>  Mon, 01 Oct 2007 10:02:16 +0300

libmodule-build-perl (0.26-1) unstable; urgency=low

  * New upstream version

 -- Jay Bonci <jaybonci@debian.org>  Wed, 27 Oct 2004 15:11:17 -0400

libmodule-build-perl (0.25-2) unstable; urgency=low

  * Corrected debian/watch so uscan will now work

 -- Jay Bonci <jaybonci@debian.org>  Thu,  9 Sep 2004 04:52:07 -0400

libmodule-build-perl (0.25-1) unstable; urgency=low

  * New upstream version 
  * Manpages now have the correct section, fixes lintian warnings (Closes: #251153)

 -- Jay Bonci <jaybonci@debian.org>  Tue,  1 Jun 2004 21:24:43 -0400

libmodule-build-perl (0.24-1) unstable; urgency=low

  * New upstream version (Closes: #234473)

 -- Jay Bonci <jaybonci@debian.org>  Sun, 29 Feb 2004 15:27:14 -0500

libmodule-build-perl (0.23-1) unstable; urgency=low

  * New upstream version

 -- Jay Bonci <jaybonci@debian.org>  Tue, 10 Feb 2004 14:40:49 -0500

libmodule-build-perl (0.21-1) unstable; urgency=low

  * New upstream version

 -- Jay Bonci <jaybonci@debian.org>  Tue, 21 Oct 2003 00:40:07 -0400

libmodule-build-perl (0.20-2) unstable; urgency=low

  * Updated maintainer address

 -- Jay Bonci <jaybonci@debian.org>  Mon,  6 Oct 2003 13:13:04 -0400

libmodule-build-perl (0.20-1) unstable; urgency=low

  * New upstream version
  * Maintainer address update
  * Policy version updated to 3.6.1.0
  * Changed upstream page to use non-versioned CPAN URL
  * Added watch file
  * Upstream fix where man pages get generated correctly from POD sources. 
    - Thanks to Gunnar Wolf for reporting this

 -- Jay Bonci <jaybonci@debian.org>  Fri, 19 Sep 2003 00:24:29 -0400

libmodule-build-perl (0.19-1) unstable; urgency=low

  * Initial Release. Closes: #192448

 -- Jay Bonci <jay@bonci.com>  Thu, 24 Jul 2003 18:26:01 -0400

